petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscSpaceCreate

Creates an empty PetscSpace object. The type can then be set with PetscSpaceSetType().

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceCreate(MPI_Comm comm, PetscSpace *sp)

Collective

### Input Parameter

comm -The communicator for the PetscSpace object

### Output Parameter

sp -The PetscSpace object

### See Also

PetscSpaceSetType(), PETSCSPACEPOLYNOMIAL

### Level

beginner

### Location

src/dm/dt/space/interface/space.c

### Implementations

PetscSpaceCreate_Point in src/dm/dt/space/impls/point/spacepoint.c
PetscSpaceCreate_Polynomial in src/dm/dt/space/impls/poly/spacepoly.c
PetscSpaceCreate_Subspace in src/dm/dt/space/impls/subspace/spacesubspace.c
PetscSpaceCreate_Tensor in src/dm/dt/space/impls/tensor/spacetensor.c
Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages